Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.page
Class WindowResult.Action

    java.lang.Object
      org.jboss.portal.theme.page.WindowResult.Action

All Implemented Interfaces:
  ObjectRendererContext, ActionRendererContext

Enclosing class:
  WindowResult

    public static class WindowResult.Action

extends java.lang.Object
implements ActionRendererContext

Represents an action that can be triggered.

todo : add more stuff

Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.theme.render.renderer.ActionRendererContext
`MODES_KEY, WINDOWSTATES_KEY`

Constructor Summary
`WindowResult.Action(java.lang.String name, java.lang.String family, java.lang.String url, boolean enabled)`

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.String` | `getName()`
`java.util.Map` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String name)`
`java.lang.String` | `getURL()`
`boolean` | `isEnabled()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowResult.Action

    public WindowResult.Action(java.lang.String name,
                               java.lang.String family,
                               java.lang.String url,
                               boolean enabled)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ActionRendererContext`

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in interface `ActionRendererContext`

### getURL

    public java.lang.String getURL()

  Specified by:
    `getURL` in interface `ActionRendererContext`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `ActionRendererContext`

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `ObjectRendererContext`

### getProperties

    public java.util.Map getProperties()

  Specified by:
    `getProperties` in interface `ObjectRendererContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD